## vala-0.18 0.18.0

=== debian/changelog ===
vala-0.18 (0.18.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 25 Sep 2012 09:09:02 +1200

vala-0.18 (0.17.7-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * debian/libvala-0.18-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 17 Sep 2012 09:17:39 +1200

vala-0.18 (0.17.6-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 04 Sep 2012 10:13:40 +1200

vala-0.18 (0.17.5-0ubuntu1) quantal; urgency=low

  * New upstream release
    + Support subclassing of GLib.Source.
    + Switch pango bindings to .gir.
    + Add gstreamer-1.0 core bindings.
    + Add gst-plugins-base-1.0 bindings.
    + Add gobject-introspection-1.0 bindings.
    + Bug fixes and binding updates.
  * Remove unneeded BD on quilt (thanks, Lintian)
  * Install vala.m4/vapigen.m4/Makefile.vapigen/vapigen.pc into a versioned
    directory and manage them using alternatives. Create an empty
    /usr/share/vala/ directory to hold these.
  * debian/rules: Remove --sourcedir, so that dh_install can install the above
    files which aren't in debian/tmp.
  * Run dpkg-gensymbols with -c4 to fail the build if the symbols file is out
    of date.
  * Remove 0ubuntu1 suffixes from symbols which shouldn't be there (symbols
    aren't Ubuntu specific)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 20 Aug 2012 15:02:19 +0100

vala-0.18 (0.17.4-0ubuntu1) quantal; urgency=low

  * New upstream version
  * debian/libvala-0.18-0.symbols: updated

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Aug 2012 19:24:41 +0200

vala-0.18 (0.17.3-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/libvala-0.18-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Jul 2012 10:16:52 +1200

vala-0.18 (0.17.2-0ubuntu3) quantal; urgency=low

  * Rename libvala-0.16-0.install to libvala-0.18-0.install

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 29 Jun 2012 15:44:21 +0200

vala-0.18 (0.17.2-0ubuntu2) quantal; urgency=low

  * valac-0.18.install:
    - install the pkgconfig file to detect vapigen install path (LP: #1012304)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 25 Jun 2012 09:57:51 +0200

vala-0.18 (0.17.2-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Remove obsolete breaks/replaces on vala-0.16
  * debian/libvala-0.18-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 25 Jun 2012 10:32:37 +1200

vala-0.16 (0.16.0-1ubuntu1) precise-proposed; urgency=low

  * Merged with Debian, remaining changes:
    - debian/control: Add Breaks:/Replaces to older vala-0.16 Ubuntu versions
      which previously shipped the vapi files. (LP: #961740)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 29 Mar 2012 15:12:32 +1100

vala-0.16 (0.16.0-1) unstable; urgency=low

  * New upstream release 

 -- Sebastian Reichel <sre@debian.org>  Tue, 27 Mar 2012 23:35:11 +0200

vala-0.16 (0.15.2-1ubuntu1) precise; urgency=low

  * debian/control: Add Breaks:/Replaces to older vala-0.16 Ubuntu versions
    which previously shipped the vapi files. (LP: #961740)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 22 Mar 2012 20:38:28 +0100

vala-0.16 (0.15.2-1) experimental; urgency=low

  * New upstream release (Closes: #661375, #658388, #658390, #658761)
  * Update Debian Standards Version to 3.9.3

 -- Sebastian Reichel <sre@debian.org>  Wed, 07 Mar 2012 10:39:47 +0100

vala-0.16 (0.15.1-2) experimental; urgency=low

  * Fix name of vala.1.gz slave alternative (Closes: #659466)

 -- Sebastian Reichel <sre@debian.org>  Tue, 14 Feb 2012 23:08:18 +0100

vala-0.16 (0.15.1-1) experimental; urgency=low

  * New upstream release
  * get cflags & ldflags from dpkg-buildflags
  * switch to multi-arch paths for libvala package
  * add symbols file for libvala package
  * put vapi files into arch independent valac-0.16-vapi package

 -- Sebastian Reichel <sre@debian.org>  Thu, 09 Feb 2012 18:29:32 +0100

vala-0.14 (0.14.2-1) unstable; urgency=low

  * Team upload.
  * Add me to uploaders.
  * New upstream release (Closes: #651707)
   - New bindings: libwnck-3.0, libnl-3.0, packagekit-glib2, xtst
   - Bug fixes and binding updates
   - /usr/share/aclocal/vala.m4 is no longer installed by libvala-0.14-dev
     to avoid file conflicts with parallel installations
  * Switch copyright format to DEP5
  * Update watch file to search for xz tarballs

 -- Sebastian Reichel <sre@debian.org>  Thu, 09 Feb 2012 01:01:25 +0100

vala-0.14 (0.14.0-1) unstable; urgency=low

  * New upstream release
  * Switch compression to xz
  * debian/control: Don't build a valac binary package, keep 0.12 the default
    for now

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 28 Sep 2011 20:11:06 +0100

vala-0.14 (0.13.4-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 16 Sep 2011 23:54:28 +0100

vala-0.14 (0.13.3-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 26 Aug 2011 18:28:31 +0100

vala-0.12 (0.12.1-2) unstable; urgency=low

  * debian/control,
    debian/valac-0.12.postinst:
    + Make valac 0.12 the default valac version now.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Aug 2011 09:46:23 +0200

vala-0.12 (0.12.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
    - Fix detecting gunichar type as unichar. (Closes: #628281)
    - Add function bindings to deal with KeySym and KeyCode. (Closes: #619505)
    - Fix Display.display_string bindings. (Closes: #619503)
  * Refresh debian/patches/99_ltmain_as-needed.patch.
  * Bump (Build-)Depends on libglib2.0-dev to (>= 2.26) according to
    configure.ac.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Switch to bzip2 tarballs.

 -- Michael Biebl <biebl@debian.org>  Thu, 23 Jun 2011 21:26:03 +0200


