## vala-0.18 0.18.1

=== debian/changelog ===
vala-0.18 (0.18.1-0ubuntu11) trusty; urgency=medium

  * Drop valac package, default moved to 0.22.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Dec 2013 12:21:40 +0000

vala-0.18 (0.18.1-0ubuntu10) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Dec 2013 15:16:16 +0100

vala-0.18 (0.18.1-0ubuntu9) saucy; urgency=low

  * debian/rules: Touch codegen/codegen.vala.stamp as well. Seventeenth time
    is the charm!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Jun 2013 12:03:29 +0200

vala-0.18 (0.18.1-0ubuntu8) saucy; urgency=low

  * Re-enable our 00git* patches again, as valac rebuilds the .c files in
    second stage; instead, use a nasty "sleep 2; touch" hack in debian/rules
    to avoid trying to update the .c files in the first pass due to not having
    proper timestamps on the buildds.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Jun 2013 11:45:25 +0200

vala-0.18 (0.18.1-0ubuntu7) saucy; urgency=low

  * debian/patches/series: Disable the two 00git* patches. Their effect is
    included in update-c-source.diff, but as our buildds constantly try to
    update the .c sources again from the changed .vala sources they keep
    FTBFSing (not reproducible locally). So only update the .c source here.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Jun 2013 07:24:22 +0200

vala-0.18 (0.18.1-0ubuntu6) saucy; urgency=low

  * update-c-source.diff: Include generated .c changes from
    00git_gir_transfer_container.patch, to avoid a valac build dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Jun 2013 07:08:19 +0200

vala-0.18 (0.18.1-0ubuntu5) saucy; urgency=low

  * Add 00git_gir_transfer_container.patch: GIRWriter: Properly emit
    transfer-ownership=container. Cherry-picked from upstream trunk, thanks
    Michal Hruby.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Jun 2013 06:40:21 +0200

vala-0.18 (0.18.1-0ubuntu4) raring; urgency=low

  * debian/patches:
    - Add 00git-valagirparser-Ignore-the-new-instance-parameter-tag.patch
      (valagirparser: Ignore the new instance-parameter tag)
    - Add update-c-source.diff: Regenerated c-sources

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 08 Feb 2013 14:31:40 +0100

vala-0.18 (0.18.1-0ubuntu3) raring; urgency=low

  * Recommend libglib2.0-dev instead of depending on it; almost all packages
    that need it for building already build-depend on it without this
    declaration, and when cross-building we don't actually want
    libglib2.0-dev here at all - we want the corresponding package for the
    target arch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Dec 2012 23:32:01 +0000

vala-0.18 (0.18.1-0ubuntu2) raring; urgency=low

  * debian/control: 
    - list valac binary, 0.18 is the default version
  * debian/valac-0.18.postint:
    - update the alternative score since it's the default version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Nov 2012 17:41:30 +0100

vala-0.18 (0.18.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 14 Nov 2012 14:35:16 +1300
