=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
            Sjoerd Simons <sjoerd@debian.org>,
            Sebastian Reichel <sre@debian.org>
 Build-Depends: debhelper (>= 7),
+               dh-autoreconf,
                libglib2.0-dev (>= 2.26),
                bison (>= 2.3),
                autotools-dev,
@@ -30,9 +31,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          libvala-0.18-0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.26),
          valac-0.18-vapi,
          ${misc:Depends}
+Recommends: libglib2.0-dev (>= 2.26)
 Conflicts: valac (<< 0.9.5),
            vala-utils (<< 0.10)
 Replaces: vala-utils (<< 0.10)
