=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,8 @@
 	dh_testdir
 	# handle timestamp skew; advice from autotools-dev README.Debian
 	touch configure.in aclocal.m4 configure
+	touch vala/vala.vala.stamp codegen/codegen.vala.stamp
+	touch vala/valagirparser.c codegen/valagirwriter.c
 	# backup the original files to restore them in the clean target
 	cp build-aux/config.sub build-aux/config.sub.orig
 	cp build-aux/config.guess build-aux/config.guess.orig
@@ -55,6 +57,7 @@
 
 configure-bootstrap-stamp: builddir-stamp
 	dh_testdir
+	dh_autoreconf
 	mkdir -p bootstrap/build
 	cd bootstrap/build && \
 		../../configure CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" $(configure_flags) --disable-vapigen
@@ -159,5 +162,6 @@
 
 	rm -f builddir-stamp configure-bootstrap-stamp bootstrap-stamp
 	rm -f configure-stamp build-stamp check-stamp install-stamp
+	dh_autoreconf_clean
 	dh_clean
