=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/vala/(0.1[78])/vala-([\d\.]+)\.tar\.xz
